Bug 113197 - Web Inspector: log message searching
Summary: Web Inspector: log message searching
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 07:23 PDT by Dmitry Zvorygin
Modified: 2014-06-04 00:35 PDT (History)
13 users (show)

See Also:


Attachments
Patch (30.80 KB, patch)
2013-03-25 07:24 PDT, Dmitry Zvorygin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-07 for chromium-linux-x86_64 (138.82 KB, application/zip)
2013-03-25 08:12 PDT, WebKit Review Bot
no flags Details
Archive of layout-test-results from webkit-ews-04 for mac-future (551.29 KB, application/zip)
2013-03-26 09:40 PDT, Build Bot
no flags Details
Patch (41.17 KB, patch)
2013-03-28 10:33 PDT, Dmitry Zvorygin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Zvorygin 2013-03-25 07:23:02 PDT
Request for search in console opened in drawer.

https://code.google.com/p/chromium/issues/detail?id=174795
Comment 1 Dmitry Zvorygin 2013-03-25 07:24:44 PDT
Created attachment 194849 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-25 08:12:04 PDT
Comment on attachment 194849 [details]
Patch

Attachment 194849 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://webkit-commit-queue.appspot.com/results/17311242

New failing tests:
http/tests/inspector/appcache/appcache-iframe-manifests.html
http/tests/inspector/injected-script-for-origin.html
http/tests/inspector/extensions-network-redirect.html
http/tests/cache/subresource-failover-to-network.html
http/tests/inspector/change-iframe-src.html
http/tests/inspector/compiler-source-mapping-debug.html
http/tests/inspector/resource-har-conversion.html
http/tests/inspector/console-resource-errors.html
http/tests/inspector/extensions-headers.html
http/tests/inspector-enabled/injected-script-discard.html
http/tests/inspector/console-cross-origin-iframe-logging.html
http/tests/inspector/extensions-useragent.html
http/tests/inspector/extensions-iframe-eval.html
http/tests/inspector-enabled/dynamic-scripts.html
http/tests/inspector/stylesheet-source-mapping.html
http/tests/inspector-enabled/console-exception-while-no-inspector.html
http/tests/inspector/console-cd-completions.html
http/tests/inspector/compiler-script-mapping.html
http/tests/inspector/modify-cross-domain-rule.html
http/tests/inspector/web-socket-frame-error.html
http/tests/inspector/console-xhr-logging.html
http/tests/inspector/console-xhr-logging-async.html
http/tests/inspector/console-cd.html
http/tests/inspector/resource-har-headers.html
http/tests/inspector/network-preflight-options.html
http/tests/inspector/inspect-iframe-from-different-domain.html
http/tests/inspector-enabled/console-log-before-frame-navigation.html
http/tests/inspector-enabled/dom-storage-open.html
http/tests/inspector/resource-parameters.html
http/tests/inspector-enabled/database-open.html
Comment 3 WebKit Review Bot 2013-03-25 08:12:07 PDT
Created attachment 194861 [details]
Archive of layout-test-results from gce-cr-linux-07 for chromium-linux-x86_64

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-07  Port: chromium-linux-x86_64  Platform: Linux-3.3.8-gcg-201212281604-x86_64-with-GCEL-10.04-gcel_10.04
Comment 4 Build Bot 2013-03-26 09:40:47 PDT
Comment on attachment 194849 [details]
Patch

Attachment 194849 [details] did not pass mac-ews (mac):
Output: http://webkit-commit-queue.appspot.com/results/17340013

New failing tests:
inspector/debugger/breakpoint-manager.html
inspector/debugger/breakpoint-manager-listeners-count.html
inspector/elements/delete-from-document.html
http/tests/inspector/extensions-network-redirect.html
inspector/editor/highlighter-basics.html
http/tests/inspector/change-iframe-src.html
inspector/console/command-line-api-getEventListeners.html
http/tests/inspector/console-resource-errors.html
http/tests/inspector/extensions-headers.html
inspector/cookie-resource-match.html
inspector/console/clients-ignored-in-privatebrowsing.html
http/tests/inspector/extensions-useragent.html
inspector/audits/audits-panel-functional.html
inspector/extensions/extensions-api.html
inspector/debugger/debugger-activation-crash2.html
inspector/cookie-parser.html
http/tests/inspector/compiler-script-mapping.html
inspector/editor/brace-matcher.html
inspector/console/alert-toString-exception.html
http/tests/inspector/extensions-iframe-eval.html
inspector/curl-command.html
inspector/elements/breadcrumb-updates.html
http/tests/inspector/extensions-ignore-cache.html
http/tests/inspector/console-xhr-logging.html
http/tests/inspector/console-xhr-logging-async.html
inspector/profiler/cpu-profiler-agent-crash-on-start.html
inspector/debugger/content-providers.html
fast/loader/javascript-url-in-object.html
inspector/editor/highlighter-chunk-limit.html
inspector/audits/audits-panel-noimages-functional.html
Comment 5 Build Bot 2013-03-26 09:40:49 PDT
Created attachment 195100 [details]
Archive of layout-test-results from webkit-ews-04 for mac-future

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-04  Port: mac-future  Platform: Mac OS X 10.8.2
Comment 6 Vsevolod Vlasov 2013-03-26 10:05:57 PDT
Comment on attachment 194849 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=194849&action=review

> Source/WebCore/inspector/front-end/Drawer.js:198
> +            case WebInspector.Drawer.AnimationType.Slow:

please revert this.

> Source/WebCore/inspector/front-end/SearchController.js:250
> +            this._searchHost = WebInspector.drawer;

Why can't you get search provider right here?

> Source/WebCore/inspector/front-end/View.js:432
> +    canSearch: function() {

these methods should be extracted as a separate interface implemented by Panel and ConsoleView
Comment 7 Dmitry Zvorygin 2013-03-28 10:33:52 PDT
Created attachment 195594 [details]
Patch
Comment 8 BJ Burg 2014-03-10 16:16:26 PDT
Console message search exists in webkit inspector.
Comment 9 Csaba Osztrogonác 2014-06-04 00:35:55 PDT
Comment on attachment 195594 [details]
Patch

Cleared review? from attachment 195594 [details] so that this bug does not appear in http://webkit.org/pending-review.  If you would like this patch reviewed, please attach it to a new bug (or re-open this bug before marking it for review again).